package it.inaf.oats.vospace.exception;

import org.springframework.http.HttpStatus;
import org.springframework.web.bind.annotation.ResponseStatus;

@ResponseStatus(value = HttpStatus.INTERNAL_SERVER_ERROR)
public abstract class VoSpaceErrorSummarizableException extends VoSpaceException {
    
    VOSpaceFaultEnum fault;
    
    public VoSpaceErrorSummarizableException(String message, VOSpaceFaultEnum fault)
    {
        super(message);
        this.fault = fault;        
    }
        
    public VOSpaceFaultEnum getFault()
    {
        return this.fault;
    }
        
    public String getDetailMessage()
    {
        return this.getMessage();
    }
}
